#include "ContinuousServo.hpp"

// 95 -> neutral, 0 or 180 -> full speed

ContinuousServo::ContinuousServo(int pin)
{
    myservo.attach(pin);
    myservo.write(NEUTRAL_POS);
}

void ContinuousServo::moveServoForMillisClockwise(unsigned long duration)
{
    if (m_isTurning)
    {
        return;
    }
    myservo.write(NEUTRAL_POS + speed);
    m_endTurningTime = millis() + duration;
    m_isTurning = true;
}
void ContinuousServo::moveServoForMillisCounterClockwise(unsigned long duration)
{
    if (m_isTurning)
    {
        return;
    }
    myservo.write(NEUTRAL_POS - speed);
    m_endTurningTime = millis() + duration;
    m_isTurning = true;
}

void ContinuousServo::tick()
{
    if (millis() >= m_endTurningTime && m_isTurning)
    {
        // stop servo when time limit reached
        myservo.write(NEUTRAL_POS);
        m_isTurning = false;
    }
}