#pragma once
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>
#include "TeaData.hpp"

class SmartDisplay
{
public:
    SmartDisplay(Adafruit_SSD1306 *display);

public:
    // lifecycle screens
    void printWaitForRFIDScreen();
    void printTeaConfigScreen(TeaData tea);
    void printTeaSteepingProgressScreen(TeaData tea, int remainingSeconds);
    void printRequestFeedbackScreen(TeaData tea);

public:
    // special screens
    void printAddNewTeaConfigScreen(TeaData tea);

public:
    // helper methods
    void printMsg(const String &s);
    void printMsg(unsigned long l);
    void resetDisplay();

private:
    Adafruit_SSD1306 *m_display;
};